org.apache.flume.formatter.output

## Interface PathManager

- All Known Implementing Classes:
    DefaultPathManager, RollTimePathManager

      public interface PathManager

  Creates the files used by the RollingFileSink.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PathManager.Builder` Knows how to construct this path manager. Note: Implementations MUST provide a public a no-arg constructor.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CTX_PREFIX` `Context` prefix

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getBaseDirectory()`
    `File` | `getCurrentFile()`
    `File` | `nextFile()`
    `void` | `rotate()`
    `void` | `setBaseDirectory(File baseDirectory)`

- - ### Field Detail

    - #### CTX_PREFIX

          static final String CTX_PREFIX

      `Context` prefix
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### nextFile

          File nextFile()

    - #### getCurrentFile

          File getCurrentFile()

    - #### rotate

          void rotate()

    - #### getBaseDirectory

          File getBaseDirectory()

    - #### setBaseDirectory

          void setBaseDirectory(File baseDirectory)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.